﻿using anbs_cp.Interfaces;

using Newtonsoft.Json;

namespace anbs_cp.Classes;

/// <inheritdoc />
public class NewtonsoftJsonSerializer: ISerializer
{
    /// <inheritdoc />
    public string Serialize<T> (T data) => JsonConvert.SerializeObject(data);

    /// <inheritdoc />
    public T? Deserialize<T> (string json) => JsonConvert.DeserializeObject<T>(json);
}